%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name   Sabre_CardDAV
%global channelname pear.sabredav.org
%global mainver     1.7.13
%global reldate     2014-07-28

Name:           php-sabredav-Sabre_CardDAV
Version:        1.7.9
Release:        2%{?dist}
Summary:        Provides CardDAV support to Sabre_DAV

Group:          Development/Libraries
License:        BSD
URL:            http://sabre.io
Source0:        https://github.com/fruux/sabre-dav/releases/download/%{mainver}/sabredav-%{mainver}.zip
Source1:        %{name}.xml

BuildArch:      noarch
BuildRequires:  php-pear(PEAR)
BuildRequires:  php-channel(%{channelname})

Requires(post): %{__pear}
Requires(postun): %{__pear}

Requires:       php-pdo
Requires:       php-xml
Requires:       php-pear(PEAR)
Requires:       php-channel(%{channelname})
Requires:       php-pear(%{channelname}/Sabre)         >= 1.0.0
Requires:       php-pear(%{channelname}/Sabre_DAV)     >= 1.7.13
Requires:       php-pear(%{channelname}/Sabre_DAVACL)  >= 1.7.9
Requires:       php-pear(%{channelname}/Sabre_VObject) >= 2.1.0

Provides:       php-pear(%{pear_name}) = %{version}
Provides:       php-pear(%{channelname}/%{pear_name}) = %{version}

%description
CardDAV plugin for Sabre, Adds support for CardDAV in Sabre_DAV.


%prep
%setup -q -n SabreDAV

sed -e 's/@VERSION@/%{version}/' \
    -e 's/@RELDATE@/%{reldate}/' \
    %{SOURCE1} >%{name}.xml
mv lib/Sabre Sabre

# Check version
extver=$(sed -n "/VERSION/{s/.* '//;s/'.*$//;p}" Sabre/CardDAV/Version.php)
if test "x${extver}" != "x%{version}"; then
   : Error: Upstream version is ${extver}, expecting %{version}.
   exit 1
fi

# Check files
touch error.lst
for fic in $(find Sabre/CardDAV -type f)
do
  grep $fic %{name}.xml || echo $fic >> error.lst
done

if [ -s error.lst ]; then
  : Missing in %{name}.xml
  cat error.lst
  exit 1
fi


%build
# Empty build section, most likely nothing required.


%install
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Sabre/CardDAV


%changelog
* Tue Oct 28 2014 Adam Williamson <awilliam@redhat.com> - 1.7.9-1
- new release 1.7.9 (from SabreDAV 1.7.13, EOL)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 05 2013 Joseph Marrero <jmarrero@fedoraproject.org> -	1.7.8-2
- fix package xml files	incorrectly tagged by myself  doc instead of php

* Tue Sep 03 2013 Joseph Marrero <jmarrero@fedoraproject.org> 1.7.8-1
- update to 1.7.8
- use our own package.xml created by Remi Collet as upstream doesn't use pear anymore

* Wed Oct 31 2012 Joseph Marrero <jmarrero@fedoraproject.org> 1.6.5-2
- added required deps pointed out by phpci

* Tue Oct 23 2012 Joseph Marrero <jmarrero@fedoraproject.org> 1.6.5-1
- update to latest version
- remove uncesary changes of directory
- change define to global
- fix documentation directory
- Fix description

* Thu Aug 30 2012 Felix Kaechele <heffer@fedoraproject.org> - 1.6.3-1
- update

* Fri Apr 06 2012 Felix Kaechele <heffer@fedoraproject.org> - 1.6.1-1
- initial package
